{: test a compilation error occurs if parameter lists are not congruous }

{d-}
program e120( output );

type
   smallInt  = 1..10;
   arrayType =   array['1'..'9'] of integer;

var
   aci, aci1 : arrayType;
   aci2      : array['1'..'9'] of integer;

   aii : array[1..9] of integer;

procedure p1(aa1, aa2: array[lo..hi :char ] of integer);
begin
   aa1['1'] := 0;
end; { p1 }

procedure p2(aa1: array[lo1..hi1 :char ] of integer;
             aa2: array[lo2..hi2 :char ] of integer);
var
   z   : char;
begin
   z := lo1;
   aa1[z] := 3;
   aa1[hi2] := 3;
end;

procedure test( procedure p(aa1, aa2: array[lo..hi :char ] of integer ) );
begin
   p(aci); { !!! p called with incorrect arguments }
end; { test }

begin {e120}

   test(p1);
   writeln( 'fails: conformant array parameter list type error not detected' );

end. { e120 }

